Bug 57495 - Persisent CGI Perl Buffer Problem
Summary: Persisent CGI Perl Buffer Problem
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Secure Web Server
Classification: Retired
Component: mod_perl   
(Show other bugs)
Version: 3.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-14 09:14 UTC by John Hoffman
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-14 09:14:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Hoffman 2001-12-14 09:14:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; 
MSN 6.1; MSNbBBYZ; MSNmen-us)

Description of problem:
I am writing Perl scripts using Stronghold/3.1-RHL Apache/1.3.19
 and mod_perl/1.24_01 on an i686 with RedHat 7.1.  When I parse
the cgi environment for value pairs is where the problem occurs.
Values from previous POSTs by unrelated users are showing up in
the value pairs for the current session.  As this is a forms
based email script it could be quite embarassing to say the
least!  Your help is appreciated.
Regards,

John Hoffman

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.POST input values using standard HTML
2.Parse Environment with Perl and Java Script
3.
	

Additional info:

Comment 1 Preston Brown 2001-12-17 18:38:49 UTC
This is a side effect of how mod_perl functions.  Please make sure you read 
the included documentation.



Note You need to log in before you can comment on or make changes to this bug.